#
#  pluginConsts.py
#  JunkMatcher
#
#  Created by Benjamin Han on 2/2/05.
#  Copyright (c) 2005 Benjamin Han. All rights reserved.
#

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#!/usr/bin/env python

POLL_SERVER_INTVL = 0.25        # interval for JMClient to try connecting to JMServer
POLL_SERVER_MAX = 40            # number of times JMClient tries if block is True

JM_SOCK_TIMEOUT_VALUE = 60      # WARNING: must be greater than DEFAULT_MX_TIMEOUT (Engine consts.py)
MATCHER_INIT_TIMEOUT = 20       # how many seconds should we wait for the Matcher to initialize

JMSERVER_QSIZE = 1024
PORT_MIN = 50000
PORT_MAX = 59999
MAX_CMD_LEN = 128

MAX_MATCH_IN_PARALLEL = 5       # max # of match processes in parallel

# CAREFUL: there might be code depending on the assumption that these two contain
#  only newline chars!
DELIMITER = '\n'
END_MARKER = '\n\n'             # only useful for clients receiving response from the server


JM_CMD_PING = 'PING'            # ping the server: arg = user's login name
JM_CMD_STOP = 'STOP'            # stop the JMServer
JM_CMD_STOP_SYNC = 'STOP_SYNC'  # stop the JMServer (synchronized version)
JM_CMD_MSG  = 'MSG'             # send a message to match: arg = message raw src
JM_CMD_RECYCLE = 'RECYCLE'      # recycle log and emailDB
JM_CMD_SAFESITES = 'SAFESITES'  # reload the safe sites patterns
JM_CMD_WHITELIST = 'WHITELIST'  # reload the whitelist
JM_CMD_RECIPIENTPATTERNS = 'RECIPIENTPATTERNS'    # reload the recipient patterns
JM_CMD_SAFEIPS = 'SAFEIPS'      # reload the safe IPs
JM_CMD_ABOOK = 'ABOOK'          # reload the AddressBook data
JM_CMD_HTMLTAGS = 'HTMLTAGS'    # reload the HTML Tags dictionary

# commands to load prefs
JM_CMD_PREFS_RECYCLEDAYS = 'PREFS_RECYCLEDAYS'
JM_CMD_PREFS_SITEDBLIMIT = 'PREFS_SITEDBLIMIT'
JM_CMD_PREFS_MODE = 'PREFS_MODE'
JM_CMD_PREFS_JUNK = 'PREFS_JUNK'

# commands to load tests
JM_CMD_LOAD_PROPERTIES = 'LOAD_PROPERTIES'
JM_CMD_LOAD_META = 'LOAD_META'
JM_CMD_LOAD_PATTERNS = 'LOAD_PATTERNS'    # CAUTION: loading meta first otherwise the instantiation can be incorrect
JM_CMD_LOAD_TESTS = 'LOAD_TESTS'

# commands for siteDB
JM_CMD_GET_SITEDB = 'GET_SITEDB'          # via socket
JM_CMD_SET_SITEDB = 'SET_SITEDB'          # via socket
JM_CMD_LOAD_SITEDB = 'LOAD_SITEDB'        # file-based
JM_CMD_SAVE_SITEDB = 'SAVE_SITEDB'        # file-based

# commands to get/set the statistics
JM_CMD_GET_STATS_PROPERTIES = 'GET_STATS_PROPERTIES'
JM_CMD_GET_STATS_PATTERNS = 'GET_STATS_PATTERNS'
JM_CMD_SET_STATS_PROPERTIES = 'SET_STATS_PROPERTIES'
JM_CMD_SET_STATS_PATTERNS = 'SET_STATS_PATTERNS'

JM_REPLY_OK = 'OK'
JM_REPLY_NA = 'NA'              # command is not available (i.e., invalid)
JM_REPLY_ERR = 'ERR'            # executing the command led error(s)
JM_REPLY_POS = 'POS'            # verdict is positive
JM_REPLY_POS_JUNK = 'POSJ'      # verdict is positive and junk the message!
JM_REPLY_NEG = 'NEG'            # verdict is negative
JM_REPLY_RECYCLED = 'RECYCLED'  # recycling happens after setting Preferences.recycleDays
JM_REPLY_PRUNED = 'PRUNED'      # pruning happens after setting size limit for SiteDB
